#### D.12.7.9 allreal

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  allreal(p);

Return:
  int: 1 if and only if all the roots of p are real, 0 otherwise

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    allreal(p);
    ==> 1
    p = p*(x2+1);
    allreal(p);
    ==> 0

See also: allrealst.

User manual for Singular version 4.4.1, 2025, generated by texi2html.